function m2pix (M)

   return M * 15
end

function pix2m (Pix)

   return Pix / 15
end

function kph2mps (KPH)

   return KPH * 1000 / 60 / 60
end

function mpg2kpl (MPG)

   -- normal to think of fuel in terms of MPG; so convert miles per gallon to km per liter
   local MPL = MPG / 3.79 -- one gallon = 3.79 litres
   local KPL = MPL * 1.6 -- one mile = 1.6 km
   return KPL
end

function kpl2lpm (KPL)

   -- return fuel cost; this is meters per litre, or the reciprocal of the litres per meter
   local LPM = 1 / (KPL * 1000)
   return LPM
end

function mpg2lpm (MPG)

   return kpl2lpm (mpg2kpl (MPG))
end